extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de grupos"
    - var CabeceraListado = ["Clase", "Grupo", "Descripción"]
    - var CantidadListado = "{{ tClasificaciones2.length }}"
    - var TituloDatos = "Detalles del Grupo"
    - var TamanoColeccion = "tClasificaciones2.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tClasificacionFor of tClasificaciones2 | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Clasificacion_Eliminar(tClasificacionFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Clasificacion(tClasificacionFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap  [{{ tClasificacionFor.Codclasificacion1 }}] {{ tClasificacionFor.Descripcion_Clasificacion1  | slice:0:20 }}
        td
            h6.text-xs.text-nowrap {{ tClasificacionFor.Codclasificacion2 }}
        td
            h6.text-xs.text-nowrap {{ tClasificacionFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-clasificacion2-cabecera([(Clasificacion2)]="tClasificacionActual")

block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-clasificacion2-detalles(#ClasificacionDetalles="",
                                          [(Clasificacion2)]="tClasificacionActual",
                                          [Clasificaciones1]="tClasificaciones1",
                                          [(ManejarImagen)]="tManejarImagen",
                                          [Configuracion]="tConfiguracion",
                                          [Nuevo]="tNuevo")#ClasificacionDetalles
